ru.bitel.bgbilling.kernel.contract.balance.server.bean

## Class PaymentTypeDao

- java.lang.Object
- - ru.bitel.common.dao.AbstarctDaoConstant
  - - ru.bitel.common.dao.AbstractDao<B>
    - - ru.bitel.common.dao.AbstractIdDao<PaymentType>
      - - ru.bitel.bgbilling.kernel.contract.balance.server.bean.PaymentTypeDao

- All Implemented Interfaces:
    java.lang.AutoCloseable, Directory<PaymentType>

      public class PaymentTypeDao
      extends ru.bitel.common.dao.AbstractIdDao<PaymentType>
      implements Directory<PaymentType>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, mid, moduleId, orderByPattern, tableName`

    - ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `ERROR, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PaymentTypeDao(java.sql.Connection con)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addChild(int up, PaymentTypeItem rootItem, java.util.List<PaymentType> list, boolean showEmptyRoot)`
    `int` | `delete(int id)` Удаление элемента по id
    `PaymentType` | `get(java.lang.String title)` Получение элемента по title(name) Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
    `protected PaymentType` | `getFromRS(java.sql.ResultSet rs)`
    `PaymentTypeItem` | `getTree(int editable, boolean showEmptyRoot)`
    `java.util.Map<java.lang.Integer,PaymentType>` | `getTypeMapByIds(java.util.List<java.lang.Integer> typeIds)`
    `java.util.List<PaymentType>` | `list()` Получение всего списка элементов из справочника
    `java.util.List<PaymentType>` | `list(java.lang.Integer editable, java.lang.Integer type)` Вернет список типов приходов.
    `void` | `move(int paymentTypeId, java.util.List<java.lang.Integer> idList)` Перемещение
    `void` | `update(PaymentType paymentType)` Изменение/добавление элемента справочника
    `protected void` | `updateImpl(PaymentType b)`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

      `get, getAndDelete, getAndUpdate`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam`

    - ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `getSQLOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.bgbilling.kernel.directory.api.common.bean.Directory

      `get`

- - ### Constructor Detail

    - #### PaymentTypeDao

          public PaymentTypeDao(java.sql.Connection con)

  - ### Method Detail

    - #### get

          public PaymentType get(java.lang.String title)
                          throws ru.bitel.bgbilling.common.BGException

      Description copied from interface: `Directory`
      Получение элемента по title(name) Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
      Specified by:
        `get` in interface `Directory<PaymentType>`
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### list

          public java.util.List<PaymentType> list()
                                           throws ru.bitel.bgbilling.common.BGException

      Description copied from interface: `Directory`
      Получение всего списка элементов из справочника
      Specified by:
        `list` in interface `Directory<PaymentType>`
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### list

          public java.util.List<PaymentType> list(java.lang.Integer editable,
                                                  java.lang.Integer type)
                                           throws ru.bitel.bgbilling.common.BGException

      Вернет список типов приходов.
      Parameters:
        `editable` - - 0 - редактируемые, 1 - не редактируемые, null или меньеше 0 - все.
        `type` - - 0 - элемент группы, 1 - группа, null или меньеше 0 - все.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getTree

          public PaymentTypeItem getTree(int editable,
                                         boolean showEmptyRoot)
                                  throws ru.bitel.bgbilling.common.BGException

      Parameters:
        `editable` - 0 - редактируемые, 1 - не редактируемые, меньше 0 - все.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### move

          public void move(int paymentTypeId,
                           java.util.List<java.lang.Integer> idList)
                    throws ru.bitel.bgbilling.common.BGException

      Перемещение
      Parameters:
        `idList` - - список ид которые будут перемещены.
        `paymentTypeId` - - ид типа в который станет предком.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### update

          public void update(PaymentType paymentType)
                      throws ru.bitel.bgbilling.common.BGException

      Description copied from interface: `Directory`
      Изменение/добавление элемента справочника
      Specified by:
        `update` in interface `Directory<PaymentType>`
      Overrides:
        `update` in class `ru.bitel.common.dao.AbstractDao<PaymentType>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateImpl

          protected void updateImpl(PaymentType b)
                             throws ru.bitel.bgbilling.common.BGException,
                                    java.sql.SQLException

      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<PaymentType>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.sql.SQLException`

    - #### getFromRS

          protected PaymentType getFromRS(java.sql.ResultSet rs)
                                   throws java.sql.SQLException,
                                          ru.bitel.bgbilling.common.BGException

      Specified by:
        `getFromRS` in class `ru.bitel.common.dao.AbstractDao<PaymentType>`
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### delete

          public int delete(int id)
                     throws ru.bitel.bgbilling.common.BGException

      Description copied from interface: `Directory`
      Удаление элемента по id
      Specified by:
        `delete` in interface `Directory<PaymentType>`
      Overrides:
        `delete` in class `ru.bitel.common.dao.AbstractIdDao<PaymentType>`
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getTypeMapByIds

          public java.util.Map<java.lang.Integer,PaymentType> getTypeMapByIds(java.util.List<java.lang.Integer> typeIds)
                                                                       throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### addChild

          protected void addChild(int up,
                                  PaymentTypeItem rootItem,
                                  java.util.List<PaymentType> list,
                                  boolean showEmptyRoot)